function rotate_min, model, flux, fmin=fmin

compile_opt idl2

slp = 0.0
dm = 0.1
nr = 20
ff = fltarr( nr+1 )

fmm = flux - median( flux )
mmm = model - median( model )
for k = 0, nr do begin

    slp += dm
;    ff[k] = median( abs( fmm - slp * mmm ) / sqrt( 1 + slp^2 ) )
    ff[k] = median( abs( fmm - slp * mmm ) )

endfor
;print, 100000*ff, format='(21f7.3)'

fmin = min( ff, at )

return, at * dm
end


