%% IRISStyle.cls
%% 01/03/27 I.Yamamura
%%    Bibliographic list definitions taken from ISOStyle.cls
%%
%%----------------------------------
%% Basic style definitions
%%----------------------------------
\topmargin = 0cm
\oddsidemargin = 0cm
\evensidemargin = 0cm
\textheight = 24cm
\textwidth = 16cm
\renewcommand{\baselinestretch}{1.2}
#
%%-------------------------------------------------------------------------
%% from ISOStyle.cls for ISOCal Conference
%%------------------------------------------------------------------------- 
%%-------------------------------------------------------------------------
%% FF specific bibliography definitions 06/02/1999
%%------------------------------------------------------------------------- 
 \def\thebibliography#1{
 \section*{\centering{REFERENCES}}                          %AA  put back into
\small
   \list
   {\relax}{\setlength{\labelsep}{0em}
         \setlength{\itemindent}{-\bibhang}
         \setlength{\itemsep}{\parskip}          %RR instead of 0pt
         \setlength{\parsep}{0pt}
         \setlength{\leftmargin}{\bibhang}}
     \def\newblock{\hskip .11em plus .33em minus .07em}
     \sloppy\clubpenalty4000\widowpenalty4000
     \sfcode`\.=1000\relax}

 \newlength{\bibhang}
 \setlength{\bibhang}{1.4em}        %AA 1.4em    %RR 4x instead of 1.4em

 \let\@internalcite\cite
 \def\cite{\@ifstar{\citeyear}{\citefull}}
 \def\citefull{\def\astroncite##1##2{##1\ ##2}\@internalcite}  %RR \ in, comma out
 \def\citeyear{\def\astroncite##1##2{##1\ (##2)}\@internalcite} %RR #1, \ and () extra  

 \def\@citex[#1]#2{\if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi
   \def\@citea{}\@cite{\@for\@citeb:=#2\do
     {\@citea\def\@citea{; }\@ifundefined       %RR??   %RR comma instead of ;
        {b@\@citeb}{{\bf ??}\@warning              %RR extra ?
        {Citation `\@citeb' on page \thepage \space undefined}}%
 {\csname b@\@citeb\endcsname}}}{#1}}

 \def\@cite#1#2{#1\if@tempswa #2\fi}       %RR parentheses and comma out
 \def\@biblabel#1{}
 %\def\spbibitem#1#2#3{\bibitem[\protect\astroncite{$1}{$2}]{$3}}
 \newcommand\spbibitem[3]{\bibitem[\protect\astroncite{#1}{#2}]{#3}}
%% End of FF specific bibliography definitions 02/06/1999
%%----------------------------------------------------------------------
